#ifndef __orov__msg__system__I2CStats__idl__
#define __orov__msg__system__I2CStats__idl__

module orov {
module msg {
module system {

    struct I2CStats
    {
        // ID of the MCU reporting the stats
        string id; //@key

        unsigned long recovery_count;       // How many times any form of recovery is attempted
        unsigned long hard_reset_count;     // Count of hard bus resets (bus power cycle)
        unsigned long soft_reset_count;     // Count of soft bus resets (logic/driver based recovery)
        unsigned long limit_break_count;    // Count of failure limits reached across all devices on system
        unsigned long bus_failure_count;    // Count of peripheral bus failures
        unsigned long latch_failure_count;  // Count of failures caused by a latched bus
    };

};
};
};

#endif